#include <stdlib.h>
#include <mpi.h>
#include <iostream.h>
#include "DAGH.h"
#include "DAGHIO.h"

#include "Consts.h"

//#include "fortran.h"
#include "ADMvar.h"
#include "SArray.h"
#include "TArray.h"
#include "BHmask.h"
#include "Variables.h"
#include "input_params.h"

#define f_dump_2d FORTRAN_NAME(f_dump_2d_,F_DUMP_2D,f_dump_2d)
extern "C" void f_dump_2d(BI, double *, char *, double *);

void DataOut0(V & VA, double Time, double Delta_t, int t, int Level, int IDENT,
	      int myrank) {

      ADMscalar *an=VA.an;
      ADMscalar *bn=VA.bn;
      ADMscalar *cn=VA.cn;
      ADMscalar *dn=VA.dn;
      ADMscalar *phi=VA.phi;
      ADMscalar *temp=VA.temp;
      double *params=VA.params;

      INTEGER cg;
      GridFunction(DIM)<DOUBLE> &st = *(*an).spacetime[0];

      char *phiname="Phi";
      char *aname="A";
      char *bname="B";
	

      forall(st,t,Level,cg) {
          f_dump_2d(FBA(st(t,Level,cg,DAGH_Main)),
          (*(*phi).spacetime[0])(t,Level,cg,DAGH_Main).data(),
          phiname,params);
/*
 *         f_dump_2d(FBA(st(t,Level,cg,DAGH_Main)),
 *         (*(*bn).spacetime[0])(t,Level,cg,DAGH_Main).data(),
 *         bname,params);
 *         f_dump_2d(FBA(st(t,Level,cg,DAGH_Main)),
 *         (*(*phi).spacetime[0])(t,Level,cg,DAGH_Main).data(),
 *         phiname,params);
 */

      } end_forall;

}
